#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	x264
Version		:	20240216
Release		:	17.0.10.rel%{?dist}
Summary		:	H264/AVC video streams encoder
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://code.videolan.org/videolan/x264
			#https://anduin.linuxfromscratch.org/BLFS/x264
			#extraction from a git clone
			#git archive 				\
			#	--format=tar.gz 		\
			#	--prefix=x264-_version_/ 	\
			#	HEAD > ../x264-version.tar.gz

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	nasm
#-----------------------------------------------------------------------------
%description
x264 package provides a library for encoding video streams
into the H.264/MPEG-4 AVC format.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so.164

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q -n %{name}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --bindir=%{_bindir}				\
	--libdir=%{_libdir}				\
	--enable-shared					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#-----------------------------------------------------------------------------
%changelog
